SDL_strlwr(3)

NAME
SDL_strlwr - Convert a string to lowercase.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

char* SDL_strlwr(char *str);

DESCRIPTION
WARNING : Regardless of system locale, this will only convert ASCII values 'A' through 'Z' to lowercase. This function operates on a null-terminated string of bytes--even if it is malformed UTF-8!--and converts ASCII characters 'A' through 'Z' to their lowercase equivalents in-place, returning the original str pointer.

FUNCTION PARAMETERS

str The string to convert in-place.

RETURN VALUE
Returns The str pointer passed into this function.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_strupr(3)